Hello,

 

Now that Exchange 2013 Preview is out, there are some considerations regarding the Outlook Clients and Entourage Clients, for Mac.

 

Below you can see the list of what is supported :

 

 

Note:
The information above provides the minimum versions required for a client to connect to Exchange.
We strongly recommend that you install the latest available service packs and updates available so that your users receive the best possible experience when connecting to Exchange.
 

Outlook clients earlier than Outlook 2007 are not supported. Email clients on Mac operating systems that require DAV, such as Entourage 2008 for Mac RTM and Entourage 2004, are not supported.

 

Looking for more details on Exchange 2013 Preview ?

 

Check here :

What's New in Exchange 2013 Preview
http://technet.microsoft.com/en-us/library/jj150540(v=exchg.150).aspx

 

Kindest regards,

 

João Ribeiro